I was trying to install mongo extension with pecl.

pecl install mongo

It gave me error:

  • pecl install mongo phpize failed
  • phpize Can't find PHP headers in /usr/include/php

Then, I tried installing php-commons extension.

It gave me errors:

Error: php55w-common conflicts with php-common-5.4.16-43.el7_4.1.x86_64</li>

Solution

Php version: 5.5

I searched php*-devel in yum repo:

yum search devel | grep php

I got “php55w-devel”

I installed it:

yum installphp55w-devel

I tried installing mongo again:

pecl install mongo

Error:

configure: error: Cannot find OpenSSL's &lt;evp.h&gt;

ERROR: `/var/tmp/mongo/configure --with-mongo-sasl=no' failed

I installed openssl-devel

yum install openssl-devel

Again tried:

pecl install mongo

Voila! It installed